[android-components](../../index.md) / [mozilla.components.browser.engine.gecko.selection](../index.md) / [GeckoSelectionActionDelegate](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`GeckoSelectionActionDelegate(activity: <ERROR CLASS>, customDelegate: `[`SelectionActionDelegate`](../../mozilla.components.concept.engine.selection/-selection-action-delegate/index.md)`)`

An adapter between the GV [BasicSelectionActionDelegate](https://mozilla.github.io/geckoview/javadoc/mozilla-central/org/mozilla/geckoview/BasicSelectionActionDelegate.html) and a generic [SelectionActionDelegate](../../mozilla.components.concept.engine.selection/-selection-action-delegate/index.md).

### Parameters

`customDelegate` - handles as much of this logic as possible.